curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"entry": {
"contract_id": "<string>",
"user": "<string>",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"expires_at": "2026-01-01T00:00:00Z"
}
}
{
"error": "<string>"
}
GET /v0/ans-entries/by-party/:party
If present, the first ANS entry for user party according to name lexicographic order.
GET
/
api
/
scan
/
v0
/
ans-entries
/
by-party
/
{party}
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"entry": {
"contract_id": "<string>",
"user": "<string>",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"expires_at": "2026-01-01T00:00:00Z"
}
}
{
"error": "<string>"
}
If present, the first ANS entry for user party according to name lexicographic order.
OpenAPIAdded 0.5.10
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries/by-party/{party}')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"entry": {
"contract_id": "<string>",
"user": "<string>",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"expires_at": "2026-01-01T00:00:00Z"
}
}
{
"error": "<string>"
}
Path parameters
string
required
The user party ID that holds the ANS entry.
Responses
200
okapplication/json
AnsEntry
required
Show child attributes
Show child attributes
string
If present, Daml contract ID of template
Splice.Ans:AnsEntry. If absent, this is a DSO-provided entry for either the DSO or an SV.string
required
Owner party ID of this ANS entry.
string
required
The ANS entry name.
string
required
Either empty, or an http/https URL supplied by the
user.string
required
Arbitrary description text supplied by
user; may be empty.string (date-time)
Time after which this ANS entry expires; if renewed, it will have a new
contract_id and expires_at. If null or absent, does not expire; this is the case only for special entries provided by the DSO.404
not foundapplication/json
string
required
History
Added
0.5.10